
QGIS Application - Bug report #16063

Gdal2tile not opening in Processing

2017-01-11 08:26 AM - matteo ghetta

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Linux mint Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23978

Description

gdal2tile algorithm does not open in Processing due to this error:

File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/MultipleInputPanel.py", line 63, in

setSelectedItems

    self.tr('%d elements selected') % len(self.selectedoptions))

TypeError: object of type 'int' has no len()

Related to the closed PR https://github.com/qgis/QGIS/pull/3894/

Associated revisions

Revision 6214d4d4 - 2017-01-11 06:23 PM - Alexander Bruy

[processing] fix wrong parameter definition (fix #16063)

History

#1 - 2017-01-11 09:16 AM - Alexander Bruy

It has no relation to this PR. This bug related to parameters refactoring.

#2 - 2017-01-11 09:20 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"6214d4d4462c4e608a93b713f3fe9d81e12e907b".

#3 - 2017-01-12 12:57 AM - matteo ghetta

Thanks Alex!
